### Method

# Foundry AuthProvider prompt

#### Declaration [src]

    DexFuture*
    foundry_auth_provider_prompt (
      FoundryAuthProvider* self,
      FoundryInput* input
    )

#### Description

No description available.

#### Parameters

`input`

  Type: `FoundryInput`

  A `FoundryInput`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value when the prompt has been completed by the user.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.